PETSc version 3.15.5
Fix/Edit manual page

# PCGAMGSetReuseInterpolation

Reuse prolongation when rebuilding algebraic multigrid preconditioner

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetReuseInterpolation(PC pc, PetscBool n)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - PETSC_TRUE or PETSC_FALSE

### Options Database Key

| -pc_gamg_reuse_interpolation <true,false>

### Notes

this may negatively affect the convergence rate of the method on new matrices if the matrix entries change a great deal, but allows rebuilding the preconditioner quicker.

### See Also

()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetReuseInterpolation_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages